server:
  port: 9314
spring:
  application:
    name: @artifactId@
  profiles:
    active: test
  datasource:
    url: jdbc:log4jdbc:mysql://db.docus.cn:3306/docus_medicalrecord?autoReconnect=true&allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
    username: docus
    password: docus702
    driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
    type: com.alibaba.druid.pool.DruidDataSource
    # 初始化配置
    initial-size: 3
    # 最小连接数
    min-idle: 3
    # 最大连接数
    max-active: 15
    # 获取连接超 时时间
    max-wait: 5000
    # 连接有效性检测时间
    time-between-eviction-runs-millis: 90000
    # 最大空闲时间
    min-evictable-idle-time-millis: 1800000
    test-while-idle: true
    test-on-borrow: false
    test-on-return: false
    validation-query: select 1

  redis:
    host: redis.docus.cn
    password: JSdocus@702
  cloud:
    nacos:
      discovery:
        server-addr: nacos.docus.cn
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
        file-extension: yml
        shared-configs:
          - comm.${spring.cloud.nacos.config.file-extension}


docus:
  url:
    # 采集任务补偿地址
    compensate-task-url: http://localhost:9295/
    # 下载地址
    down-url: http://localhost:9291/api/downplatform/report


  dbtype: mysql

mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    call-setters-on-nulls: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      field-strategy: NOT_EMPTY
      db-type: MYSQL
xxl:
  job:
    accessToken:
    admin:
      addresses: http://job.docus.cn:8180/xxl-job-admin
    executor:
      appname: docus-unified-message
      address:
      ip:
      port: 19312
      logretentiondays: 30
      logpath: D:/xxl-job/inspection
